{"title":"BolStack Temporary Deployment Engine API","version":"1.0.0","domain":"https://api.bolstack.com","inactivityTimeoutSeconds":3600,"rateLimits":{"burstDeploymentsPerMinute":3,"hourlyDeployments":10,"maxConcurrentActiveSpaces":3,"statusPollingPerMinute":60,"heartbeatsPerMinute":30,"redeployPer5Minutes":3},"endpoints":[{"method":"POST","path":"/api/v1/deployments","description":"Upload ZIP or JSON files to deploy temporary Hugging Face Space"},{"method":"GET","path":"/api/v1/deployments","description":"List deployments for the authenticated user"},{"method":"GET","path":"/api/v1/deployments/:deploymentId","description":"Check deployment status and metadata"},{"method":"GET","path":"/api/v1/deployments/:deploymentId/logs","description":"Fetch Hugging Face Space logs"},{"method":"GET","path":"/api/v1/deployments/:deploymentId/preview","description":"Get preview URL and bump inactivity timer"},{"method":"POST","path":"/api/v1/deployments/:deploymentId/heartbeat","description":"Send heartbeat to refresh 3600s timer"},{"method":"POST","path":"/api/v1/deployments/:deploymentId/redeploy","description":"Recreate an expired Space from stored files"},{"method":"DELETE","path":"/api/v1/deployments/:deploymentId","description":"Delete Hugging Face Space immediately"}],"examples":{"curlCreateJson":"curl -X POST \"https://api.bolstack.com/api/v1/deployments\" \\\n  -H \"Authorization: Bearer bol_live_your_key\" \\\n  -H \"Content-Type: application/json\" \\\n  -d '{\"projectName\":\"demo\",\"files\":[{\"path\":\"index.html\",\"content\":\"<h1>BolStack</h1>\"}]}'","curlStatus":"curl -s \"https://api.bolstack.com/api/v1/deployments/dep_123/status\" \\\n  -H \"Authorization: Bearer bol_live_your_key\"","curlHeartbeat":"curl -X POST \"https://api.bolstack.com/api/v1/deployments/dep_123/heartbeat\" \\\n  -H \"Authorization: Bearer bol_live_your_key\"","curlRedeploy":"curl -X POST \"https://api.bolstack.com/api/v1/deployments/dep_123/redeploy\" \\\n  -H \"Authorization: Bearer bol_live_your_key\""}}